<div class="dashboard-container">
  <div class="left-container">
    <energy-platform-project-map></energy-platform-project-map>
  </div>

  <div class="right-container">
    <!-- projects filter -->
    <mat-expansion-panel class="projectsCardContainer" [expanded]="false">
      <mat-expansion-panel-header class="projectsCardHeader">
        {{ 'projectOverview.filter' | translate }}
      </mat-expansion-panel-header>
      <div class="filter-container">
        <div class="filter-left-container">
          <mat-form-field [ngClass]="'filter-select'" *ngIf="user">
            <h4 class="filter-header">
              {{ 'projectOverview.sortPrivate' | translate }}
            </h4>
            <mat-select
              [ngModel]="selectedSortOption_private"
              (ngModelChange)="onChangeSortOptionsPrivate($event)"
            >
              <mat-option
                *ngFor="let sortOption of sortOptions | keyvalue"
                [value]="sortOption.value"
                >{{ 'projectOverview.' + sortOption.value | translate }}
              </mat-option>
            </mat-select>
          </mat-form-field>
          <mat-form-field [ngClass]="'filter-select'">
            <h4 class="filter-header">
              {{ 'projectOverview.sortPublic' | translate }}
            </h4>
            <mat-select
              [ngModel]="selectedSortOption_public"
              (ngModelChange)="onChangeSortOptionsPublic($event)"
            >
              <mat-option
                *ngFor="let sortOption of sortOptions | keyvalue"
                [value]="sortOption.value"
                >{{ 'projectOverview.' + sortOption.value | translate }}
              </mat-option>
            </mat-select>
          </mat-form-field>
        </div>
        <div class="filter-right-container">
          <h4>
            {{ 'projectOverview.filterOptions' | translate }}
          </h4>
          <button (click)="getCurProj()">
            {{ 'projectOverview.currentMap' | translate }}
          </button>
          <!--
            <mat-checkbox
            color="primary"
            [(ngModel)]="filters.displayVisible"
            (change)="setfilter('visible', $event)"
          >
            {{ 'projectOverview.currentMap' | translate }}
          </mat-checkbox>
          -->

          <mat-checkbox
            color="primary"
            [(ngModel)]="filters.displayPrivate"
            (change)="setfilter('privat', $event)"
            *ngIf="user"
          >
            {{ 'projectOverview.displayPrivate' | translate }}
          </mat-checkbox>
          <mat-checkbox
            color="primary"
            [(ngModel)]="filters.displayPublic"
            (change)="setfilter('public', $event)"
          >
            {{ 'projectOverview.displayPublic' | translate }}
          </mat-checkbox>
        </div>
      </div>
    </mat-expansion-panel>

    <!-- private Projects Panel -->
    <mat-expansion-panel
      id="private-project-expandable"
      class="projectsCardContainer expandable"
      [expanded]="true"
      *ngIf="filters.displayPrivate && user"
    >
      <mat-expansion-panel-header
        class="projectsCardHeader"
        (click)="toggleExpand('private-project-expandable')"
      >
        {{ 'projectOverview.privateProjects' | translate }}
      </mat-expansion-panel-header>

      <div class="projectsCardListWrapper">
        <div class="projectsCardList">
          <energy-platform-project-card
            *ngFor="let project of privateProjects"
            [type]="'private'"
            [project]="project"
            [userId]="user.id"
          >
          </energy-platform-project-card>
          <button
            class="add-project icon-button"
            mat-raised-button
            (click)="addNewProject()"
          >
            <mat-icon>add_circle</mat-icon>
            {{ 'projectOverview.addProjectButton' | translate }}
          </button>
        </div>
      </div>
    </mat-expansion-panel>

    <!-- public Projects Panel -->
    <mat-expansion-panel
      id="releases-expandable"
      class="projectsCardContainer"
      *ngIf="filters.displayPublic"
    >
      <mat-expansion-panel-header
        class="projectsCardHeader"
        (click)="toggleExpand('releases-expandable', false)"
      >
        {{ 'projectOverview.publicProjects' | translate }}
      </mat-expansion-panel-header>

      <div class="projectsCardListWrapper">
        <div class="projectsCardList">
          <energy-platform-project-card
            *ngFor="let project of publicProjects"
            energy-platform-project-card
            [type]="'public'"
            [project]="project"
          >
          </energy-platform-project-card>
        </div>
      </div>
    </mat-expansion-panel>
  </div>
</div>
